Enable AHCI config on powerpc/ppc64el

Bug #1323980 reported by Adam Conrad on 2014-05-28
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
debian-installer (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned
Utopic
Medium
Unassigned

Bug Description

Please normalize the AHCI configs for PPC with the other arches, patch attached to do so on trusty.

Adam Conrad (adconrad) wrote :
Changed in linux (Ubuntu):
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Triaged
Changed in linux (Ubuntu Trusty):
status: New → Triaged
Andy Whitcroft (apw) on 2014-05-28
summary: - Normalize AHCI configs on powerpc/ppc64el with the rest of the
- architectures
+ Enable AHCI config on powerpc/ppc64el
Tim Gardner (timg-tpi) on 2014-05-28
Changed in linux (Ubuntu Utopic):
status: Triaged → Fix Committed
Changed in linux (Ubuntu Trusty):
status: Triaged → Fix Committed
Adam Conrad (adconrad) wrote :

Here's an extra patch on top of what was committed to utopic to make it match trusty.

Tim Gardner (timg-tpi) wrote :

Applied and squashed into the original Utopic patch.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.15.0-4.8

---------------
linux (3.15.0-4.8) utopic; urgency=low

  [ Andy Whitcroft ]

  * Release Tracking Bug
    - LP: #1324107
  * [Config] enable SECURITY_APPARMOR_UNCONFINED_INIT

  [ Javier Martinez Canillas ]

  * SAUCE: (no-up) apparmor: fix bug that constantly spam the console
    - LP: #1323526

  [ John Johansen ]

  * SAUCE: (no-up) apparmor: Sync to apparmor3 - alpha6 snapshot
    - LP: #1323528
  * SAUCE: (no-up) apparmor: fix apparmor spams log with warning message
    - LP: #1308761
  * SAUCE: (no-up) apparmor: fix refcount bug in apparmor pivotroot
    - LP: #1308765
  * SAUCE: (no-up): apparmor: fix apparmor refcount bug in apparmor_kill
    - LP: #1308764
  * SAUCE: (no-up): apparmor: use custom write_is_locked macro
    - LP: #1323530

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf

  [ Tim Gardner ]

  * [Config] CONFIG_SATA_AHCI=m for ppc64el
    - LP: #1323980
 -- Andy Whitcroft <email address hidden> Wed, 28 May 2014 12:47:17 +0100

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty

I can verify this on the prototype machine with AHCI if I have a spin of DI with the updated kernel. Adam pointed me to an utopic one so I'll try to give that a go today. I don't think we have a trusty one yet.

Adam Conrad (adconrad) wrote :

I've provided benh with a trusty d-i built with this kernel so he can test on his kit and make sure this works. FWIW, even if it doesn't work (ie: because we also need a patch or something on top of the CONFIG changes), I'm likely to consider this bug "fixed" if the CONFIG changes obviously took and the drivers were built and included in the right udebs, and we can open a new bug for the possible code issues.

Adam Conrad (adconrad) wrote :

Oh, and I guess I should have checked that. Looks like sata-modules.udeb isn't produced on ppc64el, so these modules end up unpackaged from the POV of d-i. Argh.

Adam Conrad (adconrad) wrote :

Untested, but I assume this one-liner should solve the issue (and then I need to make sure d-i is picking it up correctly).

Luis Henriques (henrix) wrote :

As per a chat on IRC with Adam ("< infinity> henrix: So, consider it verified enough to release, but not actually fixed until next cycle."), I'm tagging this bug as verified for trusty

tags: added: verification-done-trusty
removed: verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-29.53

---------------
linux (3.13.0-29.53) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - LP: #1326367
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - LP: #1326367
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - LP: #1326367
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - LP: #1326367
    - CVE-2014-3153
 -- Brad Figg <email address hidden> Wed, 04 Jun 2014 08:25:41 -0700

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
Adam Conrad (adconrad) wrote :

Reopening, as this was only half-fixed, and needs the 1-liner to enable building sata-modules.udeb as well.

Changed in linux (Ubuntu Trusty):
status: Fix Released → In Progress
Changed in linux (Ubuntu Utopic):
status: Fix Released → In Progress
Launchpad Janitor (janitor) wrote :
Download full text (8.4 KiB)

This bug was fixed in the package linux - 3.15.0-6.11

---------------
linux (3.15.0-6.11) utopic; urgency=low

  [ Adam Conrad ]

  * Enable building the sata-modules udeb on ppc64el.
    - LP: #1323980
  * [Packaging] Set bootloader and loader on ppc64el to grub

  [ Adam Lee ]

  * SAUCE: (no-up) rtlwifi: rtl8723be: disable MSI interrupts mode
    - LP: #1310512, #1320070

  [ Alex Hung ]

  * SAUCE: (no-up) dell-led: add mic mute led interface
    - LP: #1308297

  [ Andy Whitcroft ]

  * [Config] d-i -- add hyperv_keyboard to serial-modules udeb
    - LP: #1285434
  * [Config] tools -- enable cpupower on ppc64el
  * [Config] ppc64el -- enable perf tools
  * [Config] powerpc -- enable perf tools
  * [Config] ppc64el -- reduce MAX_ORDER with 64k pages
  * [Config] arm64 -- enable tools
    - LP: #1326050
  * [Config] switch hyper-keyboard to virtual
    - LP: #1325306
  * [Config] fix up Breaks/Replaces on linux-cloud-tools-common to fix
    upgrades
  * SAUCE: kvm: BIOS disabled kvm support should be a warning
    - LP: #1300247
  * SAUCE: nouveau: missing outputs should be warnings
    - LP: #1300244
  * [Config] d-i -- add nvme devices to block-modules udeb
    - LP: #1303710

  [ Anton Blanchard ]

  * SAUCE: (no-up) powerpc: 64bit sendfile is capped at 2GB
    - LP: #1328230

  [ Colin Ian King ]

  * SAUCE: intel_pstate: inform user that thermald is worth considering

  [ Dave Chiluk ]

  * [Config] Enable CONFIG_IP_VS_IPV6=y
    - LP: #1300739

  [ Paolo Pisati ]

  * [Config] build vexpress a9 dtb
    - LP: #1303657

  [ Tetsuo Handa ]

  * SAUCE: kthread: Do not leave kthread_create() immediately upon SIGKILL.

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1329045
  * [Debian] Treat vdso install as an environment variable
    - LP: #1325713
  * [Config] Treat vdso install as an environment variable
    - LP: #1325713
  * [config] Set IPMI suppoort default to "y"
  * [Config] powerpc -- CONFIG_SCSI_IBMVSCSI=y
  * [Config] CONFIG_RT_GROUP_SCHED=n
    - LP: #1284731
  * [Config] ppc64el -- switch to 64K system pages
  * [Config] CONFIG_MICROCODE_EARLY=y
  * [Config] SND_DAVINCI_SOC && SND_AM33XX_SOC_EVM =m
  * [Config] armhf: DRM_TILCDC=m
  * SAUCE: (no-up) mei_me: Add module parameter to disable MSI
  * [Config] arm64: KVM=y
  * [Config] armhf: LEDS_TRIGGER_HEARTBEAT=y
  * [Config] armhf: generic: disable CPU_IDLE
  * [Config] armhf: CPU_FREQ=y
  * [Config] Add new mlx modules to d-i
  * [Config] Added Muti-Arch support for linux-headers-PKGVER-ABINUM, linux-tools-common, and linux-cloud-tools-common
    - LP: #1295112
  * [Config] CONFIG_EXYNOS_ADC=n, CONFIG_HW_RANDOM_EXYNOS=n, CONFIG_MMC_DW_EXYNOS=n, CONFIG_USB_DWC3_EXYNOS=n
    - LP: #1294353
  * [Config] CONFIG_ABX500_CORE=y for ppc64el
  * [Config] CONFIG_ALX=m for powerpc
  * [Config] CONFIG_ACENIC_OMIT_TIGON_I=n for ppc64el
  * [Config] CONFIG_ACORN_PARTITION_*=n for ppc64el
  * [Config] CONFIG_ANDROID=n for powerpc
  * [Config] CONFIG_ASYNC_RAID6_TEST=m for ppc64el
  * [Config] CONFIG_BIG_KEYS=y for ppc64el
  * [Config] CONFIG_BSD_PROCESS_ACCT=y for ppc64el
  * rebase to v3.15
  * [Config] CONFIG_PHY_XGENE=y
  * [Config] CONFIG_MLX4_DEBUG=y
    - LP: #1328256
  * [C...

Read more...

Changed in linux (Ubuntu Utopic):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu326

---------------
debian-installer (20101020ubuntu326) utopic; urgency=medium

  * Include sata-modules on ppc64el (LP: #1323980)
  * Move master kernels to 3.15.0-6.
 -- Adam Conrad <email address hidden> Thu, 12 Jun 2014 02:05:59 -0600

Changed in debian-installer (Ubuntu Utopic):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (19.3 KiB)

This bug was fixed in the package linux - 3.13.0-30.54

---------------
linux (3.13.0-30.54) trusty; urgency=low

  [ Adam Conrad ]

  * [Config] Enable building the sata-modules udeb on ppc64el.
    - LP: #1323980

  [ Anton Blanchard ]

  * SAUCE: (no-up) powerpc: 64bit sendfile is capped at 2GB
    - LP: #1328230

  [ Ben Widawsky ]

  * SAUCE: i915_bdw: drm/i915: Fix PSR programming
    - LP: #1321729
  * SAUCE: i915_bdw: drm/i915: Correct PPGTT total size
    - LP: #1321729

  [ Chris Wilson ]

  * SAUCE: i915_bdw: drm/i915: Broadwell expands ACTHD to 64bit
    - LP: #1321729

  [ Damien Lespiau ]

  * SAUCE: i915_bdw: drm/i915/bdw: Implement
    Wa4x4STCOptimizationDisable:bdw
    - LP: #1321729

  [ Dave Chiluk ]

  * [Config] Enable CONFIG_IP_VS_IPV6=y
    - LP: #1300739

  [ Kamal Mostafa ]

  * [Config] add debian/gbp.conf
  * Release Tracking Bug
    - LP: #1328286

  [ Mika Kuoppala ]

  * SAUCE: i915_bdw: drm/i915: add render state initialization
    - LP: #1321729

  [ Paulo Zanoni ]

  * SAUCE: i915_bdw: drm/i915: fix assert_cursor on BDW
    - LP: #1321729

  [ Steven Rostedt ]

  * SAUCE: i915_bdw: drm/i915: Do not dereference pointers from ring buffer
    in evict event
    - LP: #1321729

  [ Tim Gardner ]

  * [Config] CONFIG_POWERNV_CPUFREQ=y for ppc64el
    - LP: #1324571
  * [Debian] Treat vdso install as an environment variable
  * [Config] Treat vdso install as an environment variable
  * [Config] CONFIG_MLX4_DEBUG=y
    - LP: #1328256
  * [Config] CONFIG_I40EVF=m, CONFIG_I40E_DCB=y, CONFIG_I40E_VXLAN=y
    - LP: #1328037

  [ Timo Aaltonen ]

  * SAUCE: i915_bdw: Rebase to drm-intel-next-2014-03-07 + fixes
    - LP: #1321729
  * SAUCE: i915_bdw: Add BDW specific power well calls
    - LP: #1317865

  [ Upstream Kernel Changes ]

  * drm: expose subpixel order name routine v3
  * drm: dp helper: Add DP test sink CRC definition.
  * drm: export cmdline and preferred mode functions from fb helper
  * hugetlb: ensure hugepage access is denied if hugepages are not
    supported
    - LP: #1328251
  * powerpc/powernv: Move SG list structure to header file
    - LP: #1326015
  * powerpc/powernv: Read OPAL error log and export it through sysfs
    - LP: #1326015
  * powerpc/powernv Platform dump interface
    - LP: #1326015
  * pci_regs.h: Add PCI bus link speed and width defines
    - LP: #1328037
  * net_tstamp: Add SIOCGHWTSTAMP ioctl to match SIOCSHWTSTAMP
    - LP: #1328037
  * PCI/MSI: Add pci_enable_msi_range() and pci_enable_msix_range()
    - LP: #1328037
  * net: Change skb_get_rxhash to skb_get_hash
    - LP: #1328037
  * net: Add utility functions to clear rxhash
    - LP: #1328037
  * net: Add function to set the rxhash
    - LP: #1328037
  * i40e: set pf_id based on device and function numbers
    - LP: #1328037
  * i40e: register file updates
    - LP: #1328037
  * i40e: clear AQ head and tail registers
    - LP: #1328037
  * i40e: simplify aq head-tail-len setups
    - LP: #1328037
  * i40e: firmware version fields offsets update
    - LP: #1328037
  * i40e: allow one more vector for VFs
    - LP: #1328037
  * i40e: select reset counters correctly
    - LP: #1328037
  * i40e: retry call on timeout
    - LP: #...

Changed in linux (Ubuntu Trusty):
status: In Progress → Fix Released

Hello Adam, or anyone else affected,

Accepted debian-installer into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/debian-installer/20101020ubuntu318.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in debian-installer (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
tags: removed: verification-done-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package debian-installer - 20101020ubuntu318.4

---------------
debian-installer (20101020ubuntu318.4) trusty; urgency=medium

  [ Manoj Iyer ]
  * Build netboot image for armhf/TI keystone (LP: #1326437)

  [ Adam Conrad ]
  * Include sata-modules on ppc64el (LP: #1323980)
 -- Adam Conrad <email address hidden> Tue, 29 Jul 2014 00:14:10 -0600

Changed in debian-installer (Ubuntu Trusty):
status: Fix Committed → Fix Released
tags: removed: bot-stop-nagging verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers